# Danh sách nhãn khách hàng

* API này dùng để lấy danh sách [nhãn khách hàng](https://nhanh.vn/setting/store/labels).
* Chú ý: Dữ liệu này rất ít khi bị thay đổi, bạn có thể cache dữ liệu trên hệ thống của bạn để giảm tải việc phải gọi API liên tục, thời gian cache khuyến cáo là 24h.

## Request

* Xem [common request params](/v3/readme.md#request-params).

```curl
curl --location 'https://pos.open.nhanh.vn/v3.0/customer/tags?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json'
--data '{
    "filters": {
         "ids": [ID_1,ID_2]
    },
    "paginator": {
        "size": 100
    }
}'
```

### Filters

| Key  | Type   | Description             |
| ---- | ------ | ----------------------- |
| ids  | array  | List ID nhãn khách hàng |
| name | string | Tên nhãn khách hàng     |

### Paginator

* Xem cấu trúc chung [tại đây](/v3/readme.md#paginator).

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
  "code": 1,
  "paginator": {
    "next": {
      "id": "XXX"
    }
  },
  "data": [
    {
      "id": "(int) ID nhãn khách hàng",
      "businessId": "(int) ID doanh nghiệp",
      "name": "(string) Tên nhãn khách hàng",
      "status": "(int) Trạng thái khách hàng",
      "bgColor": "(string) Màu nền",
      "textColor": "(string) Màu chữ",
      "createdAt": "(int) Thời gian tạo - định dạng timestamp"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/customer/tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
